﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Controls;
using System.Windows.Automation;
using IGDocumentation;
using System.Collections.ObjectModel;

namespace datagridfieldsettings
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            CarsBusinessLogic cbl = new CarsBusinessLogic();
            InitializeComponent();
            this.xamDataGrid1.DataSource = cbl.GetCars();
        }




        private void button1_Click(object sender, RoutedEventArgs e)
        {
            this.xamDataGrid1.DataSource = null;
            this.xamDataGrid1.DataSource = PeopleData.Persons;
        }
       












        public class PeopleData
        {
            private static ObservableCollection<People> persons;

            private static ObservableCollection<People> CreatePersons()
            {
                return new ObservableCollection<People>
            {
                new People 
                {
                    Name = "George", 
                    Age = 20, 
                    Date = new DateTime(2010, 1, 18)

                },

                new People 
                {
                    Name = "Adam", 
                    Age = 15, 
                     Date = new DateTime(2011, 5, 2)
                },

                new People 
                {
                    Name = "Kate", 
                    Age = 30, 
                    Date = new DateTime(2009, 6, 12)
                }
                
            };
            }

            public static ObservableCollection<People> Persons
            {
                get
                {
                    if (persons == null)
                        persons = CreatePersons();

                    return persons;
                }
            }
        }

        public class People
        {
            String name;

            public String Name
            {
                get { return name; }
                set { name = value; }
            }

            int age;

            public int Age
            {
                get { return age; }
                set { age = value; }
            }

            DateTime date;

            public DateTime Date
            {
                get { return date; }
                set { date = value; }
            }

            public String StringDateTime
            {
                get
                {
                    return date.ToString();
                }

            }
        }

        private void xamDataGrid1_InitializeRecord(object sender, Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs e)
        {

        }

      
 

     
        
    }
}
